CREATE TABLE aggr_availability (
    tl_id INTEGER NOT NULL REFERENCES dim_telecenter,
    dat_id DATE NOT NULL REFERENCES dim_date,
    mac_count BIGINT NOT NULL DEFAULT 0,
    mac_count_red BIGINT NOT NULL DEFAULT 0,
    mac_count_yellow BIGINT NOT NULL DEFAULT 0,
    mac_count_green BIGINT NOT NULL DEFAULT 0,
    machine_type machine_type_enum DEFAULT 'client' NOT NULL,
    UNIQUE (tl_id, dat_id, machine_type)
);
